Subject: Re: bug#53793: 29.0.50; 'fullscreen' frame parameter on pgtk

From: martin rudalics <[email-masked]>
Date: Wed, 9 Feb 2022 09:45:37 +0100

> (But I still think it would be nice – and reduce confusion – to extend
 > `move-frame-functions'.)

'move-frame-functions' has one modest purpose: Catch the case where a
frame gets moved but _not_ resized.  This should be useful to avoid a
timer when trying to synchronize side by side frames like a speedbar
attached to a normal frame (without resorting to a timer) or a frame
that should be positioned at a precise location on top of a normal frame
(like a native tooltip frame that doesn't vanish on input).

To catch resizing 'move-frame-functions' is much too noisy.

martin